curl -X POST https://zap.dzap.io/v1/quote \
-H "Content-Type: application/json" \
-d '{
"srcToken": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
"srcChainId": 8453,
"destToken": "0xd0b53D9277642d899DF5C87A3966A349A798F224",
"destChainId": 8453,
"amount": "5000000",
"recipient": "0x99BCEBf44433E901597D9fCb16E799a4847519f6",
"slippage": 0.5,
"account": "0x99BCEBf44433E901597D9fCb16E799a4847519f6"
}'
const quote = await dzap.getZapQuote({
srcToken: '0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913',
srcChainId: 8453,
destToken: '0xd0b53D9277642d899DF5C87A3966A349A798F224',
destChainId: 8453,
amount: '5000000',
recipient: '0x99BC...',
slippage: 0.5,
account: '0x99BC...',
});
{
"status": "success",
"data": {
"approvalData": [
{
"callTo": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
"approveTo": "0x1d46863e3592745008b5CbbAC12014F67329A9b8",
"amount": "1680715"
}
],
"dust": [],
"output": [
{
"amount": "918943376897193",
"amountUSD": "1.68",
"minAmount": "918024433520296",
"asset": { "symbol": "WETH", "chainId": 8453 }
}
],
"path": [
{
"action": "swap",
"protocol": { "id": "dzap", "name": "Dzap Aggregator" },
"input": [{ "amount": "1680715", "amountUSD": "1.68", "asset": { "symbol": "USDC", "chainId": 8453 } }],
"output": [{ "amount": "918943376897193", "amountUSD": "1.68", "minAmount": "918024433520296", "asset": { "symbol": "WETH", "chainId": 8453 } }],
"fee": [],
"estimatedDuration": 10
}
]
}
}
Fuse API
Get Quote
Quote a Fuse intent - a one-click DeFi operation like a deposit, LP position, or staking action - including approval data, expected output, and per-step fees.
POST
/
v1
/
quote
curl -X POST https://zap.dzap.io/v1/quote \
-H "Content-Type: application/json" \
-d '{
"srcToken": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
"srcChainId": 8453,
"destToken": "0xd0b53D9277642d899DF5C87A3966A349A798F224",
"destChainId": 8453,
"amount": "5000000",
"recipient": "0x99BCEBf44433E901597D9fCb16E799a4847519f6",
"slippage": 0.5,
"account": "0x99BCEBf44433E901597D9fCb16E799a4847519f6"
}'
const quote = await dzap.getZapQuote({
srcToken: '0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913',
srcChainId: 8453,
destToken: '0xd0b53D9277642d899DF5C87A3966A349A798F224',
destChainId: 8453,
amount: '5000000',
recipient: '0x99BC...',
slippage: 0.5,
account: '0x99BC...',
});
{
"status": "success",
"data": {
"approvalData": [
{
"callTo": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
"approveTo": "0x1d46863e3592745008b5CbbAC12014F67329A9b8",
"amount": "1680715"
}
],
"dust": [],
"output": [
{
"amount": "918943376897193",
"amountUSD": "1.68",
"minAmount": "918024433520296",
"asset": { "symbol": "WETH", "chainId": 8453 }
}
],
"path": [
{
"action": "swap",
"protocol": { "id": "dzap", "name": "Dzap Aggregator" },
"input": [{ "amount": "1680715", "amountUSD": "1.68", "asset": { "symbol": "USDC", "chainId": 8453 } }],
"output": [{ "amount": "918943376897193", "amountUSD": "1.68", "minAmount": "918024433520296", "asset": { "symbol": "WETH", "chainId": 8453 } }],
"fee": [],
"estimatedDuration": 10
}
]
}
}
Returns the best path for the requested operation, including approval data, expected output, and per-step fees.
Body
Recipient address for the resulting tokens / position. Optional for a quote; required when building the transaction.
Address to receive refunds if the operation fails partway. Optional for a quote; required when building the transaction.
Response
Final output amount(s) of the whole zap.
Show output item
Show output item
Ordered list of route steps.
Show path item
Show path item
Examples
curl -X POST https://zap.dzap.io/v1/quote \
-H "Content-Type: application/json" \
-d '{
"srcToken": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
"srcChainId": 8453,
"destToken": "0xd0b53D9277642d899DF5C87A3966A349A798F224",
"destChainId": 8453,
"amount": "5000000",
"recipient": "0x99BCEBf44433E901597D9fCb16E799a4847519f6",
"slippage": 0.5,
"account": "0x99BCEBf44433E901597D9fCb16E799a4847519f6"
}'
const quote = await dzap.getZapQuote({
srcToken: '0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913',
srcChainId: 8453,
destToken: '0xd0b53D9277642d899DF5C87A3966A349A798F224',
destChainId: 8453,
amount: '5000000',
recipient: '0x99BC...',
slippage: 0.5,
account: '0x99BC...',
});
{
"status": "success",
"data": {
"approvalData": [
{
"callTo": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
"approveTo": "0x1d46863e3592745008b5CbbAC12014F67329A9b8",
"amount": "1680715"
}
],
"dust": [],
"output": [
{
"amount": "918943376897193",
"amountUSD": "1.68",
"minAmount": "918024433520296",
"asset": { "symbol": "WETH", "chainId": 8453 }
}
],
"path": [
{
"action": "swap",
"protocol": { "id": "dzap", "name": "Dzap Aggregator" },
"input": [{ "amount": "1680715", "amountUSD": "1.68", "asset": { "symbol": "USDC", "chainId": 8453 } }],
"output": [{ "amount": "918943376897193", "amountUSD": "1.68", "minAmount": "918024433520296", "asset": { "symbol": "WETH", "chainId": 8453 } }],
"fee": [],
"estimatedDuration": 10
}
]
}
}
Last modified on August 11, 2026